Support for WFS with NTLM authentication

2009-07-28 06:43 AM - Markus Neteler

Status: Open

Priority: Low

Assignee: Marco Hugentobler

Category: Web Services clients/WMS

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 11873

Description

Currently, QGIS seems to be unable to connect to WFS servers with NTLM authentication.

We have discovered that the Mapserver project has already implemented such support some time ago. Here the patch with might be

helpful for a similar implementation in QGIS:

http://trac.osgeo.org/mapserver/ticket/571

Our WFS server address for testing (we can offer the user/password to test an implementation in QGIS if needed):

http://sit.geographics.eu/arcgis/services/CREV/WFS_1/MapServer/WFSServer

Best regards, Markus

History

#1 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:34 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2017-05-01 12:42 AM - Giovanni Manghi

- Easy fix? set to No

- Pull Request or Patch supplied set to No
